/**
 * Adapted from https://github.com/microsoft/TypeScript/issues/29729
 * Since `string | 'foo'` doesn't offer auto completion
 */
declare type StringLiteralUnion<T extends U, U = string> = T | (U & {});
export declare type DownloadVersion = StringLiteralUnion<'insiders' | 'stable'>;
/**
 * Download and unzip a copy of VS Code in `.vscode-test`. The paths are:
 * - `.vscode-test/vscode-<VERSION>`. For example, `./vscode-test/vscode-1.32.0`
 * - `.vscode-test/vscode-insiders`.
 *
 * *If a local copy exists at `.vscode-test/vscode-<VERSION>`, skip download.*
 *
 * @param version The version of VS Code to download such as `1.32.0`. You can also use
 * `'stable'` for downloading latest stable release.
 * `'insiders'` for downloading latest Insiders.
 * When unspecified, download latest stable version.
 */
export declare function downloadAndUnzipVSCode(version?: DownloadVersion): Promise<string>;
export {};
